const byte T1 = 2;
const byte T2 = 3;
const byte clockPin = 5; // SHCP (11)
const byte latchPin = 6; // STCP (12)
const byte dataPin = 7;  // DS   (14)
byte led = 0;

void setup() {
  pinMode(T1, INPUT_PULLUP);
  pinMode(T2, INPUT_PULLUP);
  pinMode(clockPin, OUTPUT);
  pinMode(latchPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  displayLED(led);
}

void loop() {
  if (digitalRead(T1) == 0) {
    if (led == 7) {
      led = 0;
    } else {
      led++;
    }
    displayLED(led);
    delay(1000);
  }
  if (digitalRead(T2) == 0) {
    if (led == 0) {
       led = 7;
    } else {
      led--;
    }
    displayLED(led);
    delay(1000);
  }
}

void displayLED(byte led) {
  //                    12345678
  const byte LEDS[] = {B01111111,  // L1
                       B10111111,  // L2
                       B11011111,  // L3
                       B11101111,  // L4
                       B11110111,  // L5
                       B11111011,  // L6
                       B11111101,  // L7
                       B11111110}; // L8
  digitalWrite(latchPin, LOW);
  shiftOut(dataPin, clockPin, LSBFIRST, LEDS[led]);
  digitalWrite(latchPin, HIGH);
}
