const byte T1 = 2;
const byte T2 = 3;
const byte clockPin = 5; // SHCP (11)
const byte latchPin = 6; // STCP (12)
const byte dataPin = 7;  // DS   (14)
byte number = 0;

void setup() {
  pinMode(T1, INPUT_PULLUP);
  pinMode(T2, INPUT_PULLUP);
  pinMode(clockPin, OUTPUT);
  pinMode(latchPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  displayDigit(number);
}

void loop() {
  if (digitalRead(T1) == 0) {
    if (number == 19) {
      number = 0;
    } else {
      number++;
    }
    displayDigit(number);
    delay(1000);
  }
  if (digitalRead(T2) == 0) {
    if (number == 0) {
      number = 19;
    } else {
      number--;
    }
    displayDigit(number);
    delay(1000);
  }
}

void displayDigit(byte number) {
  //                     ABCDEFG.
  const byte DIGIT[] = {B00000011,  // 0
                        B10011111,  // 1
                        B00100101,  // 2
                        B00001101,  // 3
                        B10011001,  // 4
                        B01001001,  // 5
                        B01000001,  // 6
                        B00011111,  // 7
                        B00000001,  // 8
                        B00001001,  // 9
                        B00000010,  // 0.
                        B10011110,  // 1.
                        B00100100,  // 2.
                        B00001100,  // 3.
                        B10011000,  // 4.
                        B01001000,  // 5.
                        B01000000,  // 6.
                        B00011110,  // 7.
                        B00000000,  // 8.
                        B00001000}; // 9.
  digitalWrite(latchPin, LOW);
  shiftOut(dataPin, clockPin, LSBFIRST, DIGIT[number]);
  digitalWrite(latchPin, HIGH);
}
