const byte T1 = 2;
const byte T2 = 3;
const byte clockPin = 5; // SHCP (11)
const byte latchPin = 6; // STCP (12)
const byte dataPin = 7;  // DS   (14)
byte number = 0;

void setup() {
  pinMode(T1, INPUT_PULLUP);
  pinMode(T2, INPUT_PULLUP);
  pinMode(clockPin, OUTPUT);
  pinMode(latchPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  displayDigit(number);
}

void loop() {
  if (digitalRead(T1) == 0) {
    if (number == 19) {
      number = 0;
    } else {
      number++;
    }
    displayDigit(number);
    delay(1000);
  }
  if (digitalRead(T2) == 0) {
    if (number == 0) {
      number = 19;
    } else {
      number--;
    }
    displayDigit(number);
    delay(1000);
  }
}

void displayDigit(byte number) {
  //                     ABCDEFG.
  const byte DIGIT[] = {B11111100,  // 0
                        B01100000,  // 1
                        B11011010,  // 2
                        B11110010,  // 3
                        B01100110,  // 4
                        B10110110,  // 5
                        B10111110,  // 6
                        B11100000,  // 7
                        B11111110,  // 8
                        B11100110,  // 9
                        B11111101,  // 0.
                        B01100001,  // 1.
                        B11011011,  // 2.
                        B11110011,  // 3.
                        B01100111,  // 4.
                        B10110111,  // 5.
                        B10111111,  // 6.
                        B11100001,  // 7.
                        B11111111,  // 8.
                        B11100111}; // 9.
  digitalWrite(latchPin, LOW);
  shiftOut(dataPin, clockPin, LSBFIRST, DIGIT[number]);
  digitalWrite(latchPin, HIGH);
}
