#include <LiquidCrystal_74HC595.h>

const byte T1 = 2;
const byte T2 = 3;
const byte clockPin = 5; // SHCP (11)
const byte latchPin = 6; // STCP (12)
const byte dataPin = 7;  // DS   (14)
const byte LCD_RS = 1;
const byte LCD_E = 3;
const byte LCD_D4 = 4;
const byte LCD_D5 = 5;
const byte LCD_D6 = 6;
const byte LCD_D7 = 7;
int number = 0;

LiquidCrystal_74HC595 lcd(dataPin, clockPin, latchPin, LCD_RS, LCD_E, LCD_D4, LCD_D5, LCD_D6, LCD_D7);

void setup() {
  pinMode(T1, INPUT_PULLUP);
  pinMode(T2, INPUT_PULLUP);
  pinMode(clockPin, OUTPUT);
  pinMode(latchPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  lcd.begin(16, 2);
  displayNumber(number);
}

void loop() {
  if (digitalRead(T1) == 0) {
    if (number == 100) {
      number = -100;
    } else {
      number++;
    }
    displayNumber(number);
    delay(50);
  }
  if (digitalRead(T2) == 0) {
    if (number == -100) {
      number = 100;
    } else {
      number--;
    }
    displayNumber(number);
    delay(50);
  }
}

void displayNumber(int number) {
  lcd.setCursor(12,0);
  if (number > 99 ) {
    lcd.print(" ");
  } else if (number > 9) {
    lcd.print("  ");
  } else if (number > -1) {
    lcd.print("   ");
  } else if (number > -10) {
    lcd.print("  ");
  } else if (number > -100) {
    lcd.print(" ");
  }
  lcd.print(number);
}
